package org.itscool.commons.collection;

import java.util.Map;

/**
 * &lt;servlet-info&gt;要素の情報を保持する配列クラスです<BR>
 * <BR>
 * このクラスは次のキーと値の配列で管理されます<BR>
 * 　キー：encoding　値：このサーブレットが使用するエンコード名<BR>
 * 　キー：path      値：サーブレットが出力するログファイル名<BR>
 * 　キー：size      値：ログのサイズ(KByte)<BR>
 * 　キー：level     値：ログの出力レベル<BR>
 * 　キー： mode     値：ログの出力モード<BR>
 *
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2004/11/1
 */
public class InitParamMap{
    private Map infos = new ListMap();
    public void setInfos(Map infos){
        this.infos = infos;
    }
    public Map getInfos(){
        return infos;
    }
    public String getParam(String key){
        return (String)infos.get(key);
    }
    /**
     * <code>instance</code>
     */
    private static InitParamMap instance;
    
    /**
     * ServletInfoMappingsインスタンスを取得します
     * @return ServletInfoMappingsインスタンス
     */
    public static synchronized InitParamMap getInstance(){
        if( instance == null ){
            instance = new InitParamMap();
        }
        return instance;
    }
}
